﻿:root {
    --wdg-data-cell-padding: 16px 24px 3px 0px;
    --wdg-data-row-height: 40px;
    --wdg-data-row-border-bottom: 1px solid #E4E7EC;
    --wdg-caption-height: 20px;
    --wdg-card-header-padding: 12px 16px 10px 16px;
    --wdg-card-header-gray-border-bottom: 1px #E9ECEF solid;
    --wdg-card-header-icon-caption-gap: 5px;
    --wdg-card-body-height: 280px;
    --wdg-list-container-padding: 0px 16px 10px 16px;
    --wdg-action-btn-width: 150px;
    --wdg-icon-filter: invert(33%) sepia(84%) saturate(907%) hue-rotate(177deg) brightness(95%) contrast(100%);
    --wdg-simple-card-body-height: 193px;
}

.wdg-punches-today .wdg-punches-today-centered-label {
    left: 50% !important;
}

/*.wdg-approval {
    grid-column: 1 / span 2;
}*/

/*.wdg-tracked-hours {
    grid-column: 1 / span 3;
}*/

.wdg-card {
    border: 1px solid rgba(228, 231, 236, 1);
    border-radius: 8px;
    background-color: white;
    gap: 0.6rem;
    box-shadow: var(--main-box-shadow);
    height: fit-content;
}

.wdg-card-header {
    display: flex;
    flex-direction: row;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

.wdg-card-header-end {
    display: flex;
    align-items: center;
}

.wdg-caption {
    font-size: 13px;
    font-weight: 500;
    cursor: default;
    margin-top: 1px;
}

.wdg-link {
    font-size: 12px;
    font-weight: 500;
}

    .wdg-link > a {
        color: #737E8C !important;
    }

.wdg-link-button {
    font-size: 12px;
    font-weight: 500;
    height: 20px;
    --dxbl-btn-color: var(--bs-blue);
    --dxbl-btn-focus-outline-color: transparent !important;
}

    .wdg-link-button > span {
        text-decoration: none !important;
        color: #737E8C !important;
    }

.wdg-link-placeholder{

}

.wdg-card-body {
    display: flex;
}

.wdg-card-header-icon {
    width: 14px;
    height: 14px;
}

.wdg-card-body-list-container {
    padding: var(--wdg-list-container-padding);
    display: flex;
    flex-direction: column;
    min-height: 120px;
    justify-content: space-between;
    width: 100%;
}

.wdg-empty-label {
    color: #737E8C;
    font-size: 12px;
    cursor: default;
}

.wdg-data-table {
    cursor: default;
}

.wdg-data-table-simple {
    cursor: default;
}

.wdg-bottom-action-container {
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 8px;
}

.wdg-action-button {
    width: var(--wdg-action-btn-width);
}

/* COMMON */

.wdg-failing-devices .wdg-card-header,
.wdg-punches .wdg-card-header,
.wdg-subsdetails .wdg-card-header,
.wdg-attexc .wdg-card-header,
.wdg-holidays .wdg-card-header,
.wdg-leaves .wdg-card-header,
.wdg-tracked-hours .wdg-card-header{
    padding: var(--wdg-card-header-padding);
    justify-content: space-between;
}

.wdg-failing-devices .wdg-card-header-start,
.wdg-punches .wdg-card-header-start,
.wdg-subsdetails .wdg-card-header-start,
.wdg-attexc .wdg-card-header-start,
.wdg-holidays .wdg-card-header-start,
.wdg-leaves .wdg-card-header-start,
.wdg-punches-today[is-chart="true"] .wdg-card-header-start,
.wdg-tracked-hours .wdg-card-header-start{
    display: flex;
    align-items: center;
    gap: var(--wdg-card-header-icon-caption-gap);
    height: var(--wdg-caption-height);
}


.wdg-attexc .wdg-card-body,
.wdg-leaves .wdg-card-body
{
    min-height: 100px;
    /*height: var(--wdg-card-body-height);*/
    height: 215px;
}

.wdg-punches .wdg-card-body,
.wdg-holidays[is-simple-card="false"] .wdg-card-body
 {
    min-height: 100px;
    height: 215px;
}

.wdg-failing-devices .wdg-empty-container,
.wdg-punches .wdg-empty-container,
.wdg-attexc .wdg-empty-container,
.wdg-holidays .wdg-empty-container,
.wdg-leaves .wdg-empty-container,
.wdg-approval .wdg-empty-container,
.wdg-tracked-hours .wdg-empty-container
{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-bottom: 15px;
    margin-top: 5px;
    width: 100%;
    min-height: 100px;
}

/* hide headers */
.wdg-failing-devices .wdg-data-table > thead,
.wdg-punches .wdg-data-table > thead,
.wdg-subsdetails .wdg-data-table > thead,
.wdg-attexc .wdg-data-table > thead,
.wdg-holidays .wdg-data-table > thead,
.wdg-leaves .wdg-data-table > thead,
.wdg-approval .wdg-data-table > thead,
.wdg-data-table-simple > thead
{
    display: none;
}

/* rows divider */
.wdg-failing-devices .wdg-data-table > tbody > tr,
.wdg-punches .wdg-data-table > tbody > tr,
.wdg-subsdetails .wdg-data-table > tbody > tr,
.wdg-attexc .wdg-data-table > tbody > tr,
.wdg-holidays .wdg-data-table > tbody > tr,
.wdg-leaves .wdg-data-table > tbody > tr,
.wdg-approval .wdg-data-table > tbody > tr {
    border-bottom: var(--wdg-data-row-border-bottom);
    text-wrap: nowrap;
}

    /* rows divider */
    .wdg-failing-devices .wdg-data-table > tbody > tr > td,
    .wdg-punches .wdg-data-table > tbody > tr > td,
    .wdg-subsdetails .wdg-data-table > tbody > tr > td,
    .wdg-attexc .wdg-data-table > tbody > tr > td,
    .wdg-holidays .wdg-data-table > tbody > tr > td,
    .wdg-leaves .wdg-data-table > tbody > tr > td
    /*.wdg-approval .wdg-data-table > tbody > tr > td */
    {
        padding: var(--wdg-data-cell-padding);
    }

/*
    SIMPLE CARDS
*/

.wdg-card[is-simple-card="true"] .wdg-card-header {
    padding: 12px 16px 6px 16px;
}

.wdg-card[is-simple-card="true"] .wdg-card-body {
    height: var(--wdg-simple-card-body-height);
    min-width: 254px;
}

.wdg-card[is-simple-card="true"] .wdg-caption {
    font-weight: 600;
}

.wdg-card[is-simple-card="true"] {
    gap: 0rem;
}

.wdg-data-table-simple {
    border-spacing: 11px;
    border-collapse: separate;
}

    .wdg-data-table-simple > tbody > tr > td {
        padding: 5px 14px 3px 0px;
    }

    .wdg-data-table-simple > tbody > tr {
        margin-top: 5px;
    }

.wdg-simple-card-col-1 {
    display: flex;
    flex-direction: column;
    gap: 0px;
    align-items: center;
    border-right: 1px #737E8C solid;
}

.wdg-simple-card-col-1-1 {
    font-size: 13px;
    font-weight: 600;
    color: #737E8C;
    text-transform: uppercase;
    text-wrap: nowrap;
}

.wdg-simple-card-col-1-2 {
    font-size: 13px;
    font-weight: 400;
    color: #000;
    text-transform: uppercase;
}

.wdg-simple-card-col-2 {
    font-size: 15px;
    font-weight: 300;
    color: #2A2A2B;
    padding-left: 15px;
    text-wrap: nowrap;
}

.wdg-punches .wdg-card-header-icon,
.wdg-leaves .wdg-card-header-icon,
.wdg-attexc .wdg-card-header-icon,
.wdg-holidays .wdg-card-header-icon {
    filter: var(--wdg-icon-filter);
}

/*     
    Failing devices 
*/

.wdg-failing-devices {
}

    .wdg-failing-devices .wdg-card-header {
        gap: 1rem;
    }

    .wdg-failing-devices[state="ok"] .wdg-card-header {
        border-bottom: var(--wdg-card-header-gray-border-bottom);
    }

    .wdg-failing-devices[state="error"] .wdg-card-header {
        background-color: #EB5757;
        color: #fff;
        border-bottom: 1px transparent solid;
    }

        .wdg-failing-devices[state="error"] .wdg-card-header a {
            color: #fff !important;
        }

    .wdg-failing-devices .wdg-card-body {
        min-height: 100px;
        height: calc(var(--wdg-simple-card-body-height) - 5px);
    }

    .wdg-failing-devices .wdg-empty-container .wdg-empty-image {
        height: 80px;
        width: 80px;
    }

    .wdg-failing-devices{
    gap: 0rem !important;
}

    .wdg-failing-devices .wdg-bottom-action-container {
    }

/* 
    Punches 
*/
.wdg-punches {
}

    .wdg-punches .wdg-card-header {
        gap: 4rem;
        border-bottom: var(--wdg-card-header-gray-border-bottom);
    }

    .wdg-punches .wdg-data-table > tbody > tr > td.punchType-In {
        color: #39B54A;
    }

    .wdg-punches .wdg-data-table > tbody > tr > td.punchType-Out {
        color: #FFB043;
    }

    .wdg-punches .wdg-data-table > tbody > tr > td.punchType-NA {
        color: #737E8C;
    }

/* 
    Subscription Details 
*/

.wdg-subsdetails {
    --wdg-subdetails-value-column-padding-left: 50px;
    gap: 0rem !important;
}

    .wdg-subsdetails .wdg-card-header {
        gap: 2rem;
        border-bottom: var(--wdg-card-header-gray-border-bottom);
    }

    .wdg-subsdetails .wdg-data-table > tbody > tr > td {
        padding: 12px 16px 3px 0px;
    }

        .wdg-subsdetails .wdg-data-table > tbody > tr > td.subsdetails-value {
            padding-left: var(--wdg-subdetails-value-column-padding-left);
        }

/*
    Attendance Exceptions
*/

.wdg-attexc {
}

    .wdg-attexc .wdg-card-header {
        gap: 4rem;
        border-bottom: var(--wdg-card-header-gray-border-bottom);
    }

    .wdg-attexc .wdg-data-table td:last-child {
        text-align: end;
    }

/*
    Upcoming Holidays
*/

.wdg-holidays {
}

    .wdg-holidays[is-simple-card="false"] .wdg-card-header {
        gap: 4rem;
        border-bottom: var(--wdg-card-header-gray-border-bottom);
    }

/*
    Punches Today
*/
.wdg-punches-today[is-chart="false"] {
    /*gap: 2.86rem;*/
    width: 400px;
}

.wdg-punches-today[is-chart="true"] {
    /*gap: 2.86rem;*/
    /*    width: 572px;*/
}

    .wdg-punches-today[is-chart="true"] .wdg-card-header {
        padding: 12px 16px 0px 16px;
        justify-content: space-between;
        /*z-index: 2000 !important;*/
    }

.wdg-punches-today[is-chart="false"] .wdg-card-header {
    padding: 12px;
    align-items: center;
    justify-content: center;
}

.wdg-punches-today[is-chart="false"] .wdg-caption {
    font-size: 16px;
    font-weight: 600;
}

.wdg-punches-today[is-chart="false"] .wdg-card-body {
    align-items: center;
    justify-content: center;
    padding: 10px;
}

.wdg-punches-today[is-chart="true"] .wdg-card-body {
    padding-bottom: 10px;
}

.wdg-counters-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 4px 21px;
    gap: 10px;
}

.wdg-counter-item-container.punchType-In {
    padding-left: 20px;
    padding-right: 20px;
}

.wdg-counter-item-container.punchType-Out {
    padding-left: 20px;
    padding-right: 20px;
    border-left: var(--wdg-data-row-border-bottom);
    border-right: var(--wdg-data-row-border-bottom);
}

.wdg-counter-item-container.punchType-NA {
    padding-left: 20px;
    padding-right: 20px;
}

.wdg-counter-item-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: default;
    gap: 0.7rem;
    padding-top: 12px;
    padding-bottom: 12px;
}

.wdg-counter-value {
    font-size: 16px;
    font-weight: 600;
}

.wdg-counter-label {
    font-size: 13px;
}

.wdg-punches-today .wdg-card-body-chart-container {
    padding: var(--wdg-list-container-padding);
    /* display: flex; */
    flex-direction: column;
    min-height: 120px;
    justify-content: space-between;
    width: 100%;
    position: relative;
}

.wdg-punches-today[is-chart="true"] .wdg-caption {
    font-size: 16px;
    font-weight: 500;
}

/*.wdg-punches-today[is-chart="true"] .dxbl-chart {    
    min-height: 150px !important;
    height: 170px !important;    
}*/

.wdg-punches-today[is-chart="true"] .dxbl-widget-container {
    min-height: 150px !important;
    height: 170px !important;
}

.wdg-punches-today-centered-label {
    position: absolute;
    top: 47%;
    /* left: 47%; */
    align-self: center;
    text-align: justify;
    transform: translate(-50%, -50%);
    /* background-color: #333; */
    /* color: #fff; */
    padding: 0px 0px;
    font-size: 14px !important;
    font-weight: 600;
    text-align: center;
    /*margin-left: 24px;*/
    cursor: default;
}

.wdg-punches-today .wdg-legend-item-color {
    display: block;
    width: 13px;
    height: 13px;
    border-radius: 6px;
    align-self: center;
}

.wdg-punches-today .wdg-legend-item[name="In"] .wdg-legend-item-color {
    background-color: #39B54A;
}

.wdg-punches-today .wdg-legend-item[name="Out"] .wdg-legend-item-color {
    background-color: #FFB043;
}

.wdg-punches-today .wdg-legend-item[name="Na"] .wdg-legend-item-color {
    background-color: #737E8C;
}

.wdg-punches-today .wdg-legend-item {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}

.wdg-punches-today .wdg-legend-item-value-1 {
    font-size: 12px;
    font-weight: 400;
    cursor: default;
    text-wrap: nowrap;
}

/* 
    Upcoming Leaves 
*/
.wdg-leaves {
}

    .wdg-leaves[is-simple-card="false"] .wdg-card-header {
        gap: 4rem;
        border-bottom: var(--wdg-card-header-gray-border-bottom);
    }

/*
    Approval
*/

.wdg-approval {
    overflow: auto;
}

    .wdg-approval .wdg-card-header {
        padding: 0px 16px 0px 0px;
        /* gap: 5rem; */
        width: 100% !important;
        justify-content: space-between;
        border-bottom: var(--wdg-card-header-gray-border-bottom);
        display: grid;
        grid-template-columns: 1fr 310px;
    }

    .wdg-approval .wdg-card-header-end {
        justify-self: end;        
    }

.tabs-icon {
    width: 1rem;
    height: 1rem;
    min-width: 1rem;
    min-height: 1rem;
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
    color: currentColor;
}

.tabs-icon-leaveapps {
    background-image: url(/IImageService/icon_Beach_Access);
}

.tabs-icon-overtime {
    background-image: url(/IImageService/icon_newPunch);
}

.tabs-icon-shorthours {
    background-image: url(/IImageService/icon_Error_material);
}

.wdg-approval-tabs.dxbl-tabs {
    /*--dxbl-tabs-tab-border-width: 0px !important;*/
    --dxbl-tabs-tab-padding-y: 5.5px;
}

    .wdg-approval-tabs.dxbl-tabs.dxbl-tabs-top > .dxbl-tabs-tablist {
        border-bottom: none;
        border-radius: 8px;
    }

    .wdg-approval-tabs.dxbl-tabs .dxbl-tabs-item {
        font-size: 13px !important;
        border-bottom-color: #E9ECEF !important;
    }

        .wdg-approval-tabs.dxbl-tabs .dxbl-tabs-item.dxbl-active {
            color: #363853 !important;
            border-top-right-radius: 8px !important;
            border-top-left-radius: 8px !important;
            border-color: #E9ECEF !important;
        }

            .wdg-approval-tabs.dxbl-tabs .dxbl-tabs-item.dxbl-active .tabs-icon {
                filter: var(--wdg-icon-filter);
            }

        .wdg-approval-tabs.dxbl-tabs .dxbl-tabs-item:not(.dxbl-active) {
            color: #737E8C !important;
        }

            .wdg-approval-tabs.dxbl-tabs .dxbl-tabs-item:not(.dxbl-active) .tabs-icon {
                filter: invert(53%) sepia(12%) saturate(430%) hue-rotate(174deg) brightness(89%) contrast(90%);
            }

    .wdg-approval-tabs.dxbl-tabs.dxbl-tabs-top > .dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li > .dxbl-tabs-item:not(.dxbl-tabs-tmpl):not(.dxbl-disabled):not(:disabled).dxbl-active::after, .dxbl-tabs.dxbl-tabs-top > .dxbl-tabs-tablist > ul > li > .dxbl-tabs-item:not(.dxbl-tabs-tmpl):not(.dxbl-disabled):not(:disabled).dxbl-active::after {
        height: 0px;
        left: -1px;
        right: -1px;
        margin-bottom: -1px;
        bottom: 0;
    }

.wdg-approval .wdg-empty-container .wdg-empty-image {
    height: 80px;
    width: 80px;
    filter: var(--wdg-icon-filter);
}

.wdg-approval .btn-wdg-row-action {
    width: 28px;
    height: 28px;
    align-content: center;
    align-items: center;
    border-radius: 14px;
}

    .wdg-approval .btn-wdg-row-action .dxbl-image {
        margin-left: 0px;
        margin-top: 3.5px;
    }

.wdg-approval .btn-approve {
    --dxbl-btn-bg: var(--bs-success);
    --dxbl-btn-border-color: var(--bs-success);
    --dxbl-btn-hover-bg: #198754;
    --dxbl-btn-hover-border-color: #198754;
}

.wdg-approval .btn-reject {
    --dxbl-btn-bg: var( --bs-danger);
    --dxbl-btn-border-color: var( --bs-danger);
    --dxbl-btn-hover-bg: #B02A37;
    --dxbl-btn-hover-border-color: #B02A37;
}

/* rows divider */
.wdg-approval .wdg-data-table > tbody > tr > td {
    padding: 8px 24px 3px 0px;
}

.wdg-approval .wdg-link-placeholder{
    display: block;
    width: 128.75px;
    height: 17px;
}

.wdg-approval .wdg-card-body {
    min-height: 100px;
    /*height: var(--wdg-card-body-height);*/
    min-height: calc(var(--wdg-simple-card-body-height) - 5px);
}

.wdg-approval.wdg-card{
    gap: 0rem !important;
}

.wdg-approval .wdg-card-body-list-container {
    padding: 0px 16px 0px 16px;
}

/*
    TRACKED HOURS
*/
.wdg-tracked-hours {
    width: 100%;
    overflow: auto;
}

    /*.wdg-tracked-hours .wdg-card-header {
        padding: 12px 16px 6px 16px;
    }*/

    .wdg-tracked-hours .wdg-caption {
        font-size: 16px;
        font-weight: 500;
        text-wrap: nowrap;
    }

    .wdg-tracked-hours .wdg-card-header {
        padding: 20px 16px 20px 16px;
        justify-content: space-between;
        /* z-index: 2000 !important; */
        flex-wrap: wrap;
        grid-column-gap: 1rem;
        grid-row-gap: 1rem;
    }

    .wdg-tracked-hours .wdg-card-body {
        padding-bottom: 10px;
    }

    /*.wdg-tracked-hours .dxbl-chart {
        min-height: 150px !important;
        height: 170px !important;
        max-width: 1640px;*/
        /*min-width: 300px;*/
        /*align-self: flex-start;
    }*/

    .wdg-tracked-hours .dxbl-widget-container {
        min-height: 150px !important;
        height: 170px !important;
        max-width: 1640px;
        /*min-width: 300px;*/
        align-self: flex-start;
    }

    .wdg-tracked-hours .wdg-card-body-chart-container {
        padding: 0px 16px 10px 16px;
        /* display: flex; */
        flex-direction: column;
        min-height: 120px;
        justify-content: space-between;
        width: calc(100% - 200px) !important;
        /*        width: 100% !important;*/
        position: relative;
    }

    .wdg-tracked-hours .dxc-series-group {
        opacity: 0.6;
    }

.wdg-card-body-chart-with-legend-container {
    display: grid;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    grid-template-columns: 200px 1fr;
}

@media (max-width: 1000px) {
    .wdg-card-body-chart-with-legend-container {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 1000px) {
    .wdg-row-3 .wdg-card-body-chart-container {
        width: 100% !important;
    }
}

.wdg-card-body-chart-legend-container {
    display: flex;
    flex-direction: column;
    padding: 20px;
    gap: 0.3rem;
    margin-left: 2rem;
    width: 200px;
}

.wdg-tracked-hours .wdg-legend-item-color {
    display: block;
    width: 33px;
    height: 6px;
    opacity: 0.6;
    align-self: center;
}

.wdg-tracked-hours .wdg-legend-item[name="Worked"] .wdg-legend-item-color {
    background-color: #39B54A;
}

.wdg-tracked-hours .wdg-legend-item[name="Leave"] .wdg-legend-item-color {
    background-color: #FFB043;
}

.wdg-tracked-hours .wdg-legend-item[name="Overtime"] .wdg-legend-item-color {
    background-color: #ED1C24;
}

.wdg-tracked-hours .wdg-legend-item {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}

.wdg-tracked-hours .wdg-legend-item-value-1 {
    font-size: 12px;
    font-weight: 400;
    cursor: default;
    text-wrap: nowrap;
}

.wdg-tracked-hours .wdg-legend-item-value-2 {
    font-size: 12px;
    font-weight: 300;
    cursor: default;
}

.wdg-tracked-hours .wdg-card-header-center {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 2rem;
}

.wdg-icon-left, .wdg-icon-right {
    width: 36px;
    height: 26px;
    background-color: #E9EAED;
}

    .wdg-icon-left .dxbl-image, .wdg-icon-right .dxbl-image {
        font-size: 10px;
        color: #4F4F50;
    }

.wdg-week-range {
    font-size: 14px;
    font-weight: 600;
    cursor: default;
    text-wrap: nowrap;
}

.wdg-tracked-hours .wdg-empty-container .wdg-empty-image {
    height: 80px;
    width: 80px;
}

.wdg-tracked-hours .wdg-empty-container{
    height: 160px;
    gap: 1rem;
}


.wdg-premium {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-bottom: 15px;
    margin-top: 5px;
    width: 100%;
    min-height: 100px;
    gap: 2rem;
}

.wdg-premium-caption {
    font-size: 14px;
    font-weight: 500;
    color: #172542;
    cursor: default;
}

.wdg-premium-subcaption {
    font-size: 14px;
    font-weight: 500;
    color: #737E8C;
    cursor: default;
}

.wdg-tracked-hours .dxbl-chart-tooltip.dxbl-visible {
    --bs-card-border-width: 0px;
    border: none !important;
}

/*
    3 rows layput
*/

    .wdg-row-1 .wdg-approval .wdg-card-body {
        width: fit-content;
    }    

    .wdg-row-1 .wdg-punches-today .wdg-punches-today-centered-label {
        left: 50% !important;
    }


.wdg-row-2 .wdg-data-table-simple > tbody > tr > td {
    padding: 13px 14px 13px 0px;
}

.wdg-data-table-simple > tbody > tr > td {
    padding: 13px 14px 13px 0px;
}

.wdg-row-2 .wdg-simple-card-col-1-1 {
    align-self: flex-start;
    font-size: 14px;
    text-wrap: nowrap;
}

.wdg-row-2 .wdg-data-table-simple {
    width: fit-content;
}

.wdg-row-2 .wdg-simple-card-col-2 {
    text-wrap: nowrap;
}

.wdg-failing-devices .wdg-data-table > tbody > tr > td {
    text-wrap: nowrap;
}

.wdg-row-2 .wdg-data-table {
    align-self: center;
}

.wdg-row-2 .wdg-failing-devices .wdg-data-table > tbody > tr > td {
    padding: 16px 44px 3px 0px;
}

.wdg-row-1 .wdg-approval .wdg-data-table > tbody > tr > td:not(.wdg-td-btn-action) {
    padding: 8px 44px 3px 0px;
}

.wdg-row-1 .wdg-approval .wdg-card-body[is-leave-module-licensed="False"][tab-index="0"],
.wdg-row-1 .wdg-approval .wdg-card-body[is-scheduling-module-licensed="False"][tab-index="1"],
.wdg-row-1 .wdg-approval .wdg-card-body[is-scheduling-module-licensed="False"][tab-index="2"],
.wdg-row-1 .wdg-approval .wdg-card-body[has-data="False"] {
    width: 100% !important;
}

.wdg-punches-today-legend-container {
    position: absolute;
    top: 47%;
    left: 50% !important;
    margin-left: 140px;
    align-self: center;
    text-align: justify;
    transform: translate(-50%, -50%);
    /* background-color: #333; */
    /* color: #fff; */
    padding: 0px 0px;
    font-size: 14px !important;
    font-weight: 600;
    text-align: center;
    cursor: default;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.table-col-normal {
    white-space: nowrap;
}

.table-col-trunc {
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
    max-width: 0;
}

@media (max-width: 670px) {
    .wdg-punches-today-legend-container {
        margin-left: 104px !important;
    }
}

@media (max-width: 330px) {
    .wdg-punches-today-legend-container {
        margin-left: 90px !important;
    }
}